Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# big::RSACrypt Class Reference

`#include <RSACrypt.h>`

List of all members.

## Public Member Functions
| RSACrypt ()
| ~RSACrypt ()
void | reset ()
void | generateKeys ()
BIGSMALLTYPE void | setPrivateKey (Smaller &c_p, Smaller &c_q)
void | setPublicKey (u32 c_e, T &c_n)
void | getPublicKey (u32 &c_e, T &c_n)
BIGSMALLTYPE void | getPrivateKey (Smaller &c_p, Smaller &c_q)
void | encrypt (T &M, T &x)
void | decrypt (T &C, T &x)
## Private Member Functions
| BIGHALFSIZE (T, p)
| BIGHALFSIZE (T, pnp)
| BIGHALFSIZE (T, pxp)
| BIGHALFSIZE (T, q)
| BIGHALFSIZE (T, qnp)
| BIGHALFSIZE (T, qxp)
| BIGHALFSIZE (T, pInverse)
## Private Attributes
T | e
T | n
T | np
T | xp
bool | factorsAvailable
T | d
T | phi

## Constructor & Destructor Documentation

big::RSACrypt::RSACrypt | ( |  | ) | `[inline]`

big::RSACrypt::~RSACrypt | ( |  | ) | `[inline]`

## Member Function Documentation

big::RSACrypt::BIGHALFSIZE | ( | T | ,
|  | pInverse |
| ) | `[private]`

big::RSACrypt::BIGHALFSIZE | ( | T | ,
|  | qxp |
| ) | `[private]`

big::RSACrypt::BIGHALFSIZE | ( | T | ,
|  | qnp |
| ) | `[private]`

big::RSACrypt::BIGHALFSIZE | ( | T | ,
|  | q |
| ) | `[private]`

big::RSACrypt::BIGHALFSIZE | ( | T | ,
|  | pxp |
| ) | `[private]`

big::RSACrypt::BIGHALFSIZE | ( | T | ,
|  | pnp |
| ) | `[private]`

big::RSACrypt::BIGHALFSIZE | ( | T | ,
|  | p |
| ) | `[private]`

void big::RSACrypt::decrypt | ( | T & | C,
|  | T & | x
| ) | `[inline]`

void big::RSACrypt::encrypt | ( | T & | M,
|  | T & | x
| ) | `[inline]`

void big::RSACrypt::generateKeys | ( |  | ) | `[inline]`

BIGSMALLTYPE void big::RSACrypt::getPrivateKey | ( | Smaller & | c_p,
|  | Smaller & | c_q
| ) | `[inline]`

void big::RSACrypt::getPublicKey | ( | u32 & | c_e,
|  | T & | c_n
| ) | `[inline]`

void big::RSACrypt::reset | ( |  | ) | `[inline]`

BIGSMALLTYPE void big::RSACrypt::setPrivateKey | ( | Smaller & | c_p,
|  | Smaller & | c_q
| ) | `[inline]`

void big::RSACrypt::setPublicKey | ( | u32 | c_e,
|  | T & | c_n
| ) | `[inline]`

## Member Data Documentation

T big::RSACrypt::d`[private]`

T big::RSACrypt::e`[private]`

bool big::RSACrypt::factorsAvailable`[private]`

T big::RSACrypt::n`[private]`

T big::RSACrypt::np`[private]`

T big::RSACrypt::phi`[private]`

T big::RSACrypt::xp`[private]`

The documentation for this class was generated from the following file:

- Projects/raknet/include/raknet/RSACrypt.h